Subject: [16ng] Subnet Model Analysis for 16ng

From: "Syam Madanapalli" <[email-masked]>
Date: Wed, 6 Sep 2006 19:19:02 +0530

Hi,

We made some analysis of subnet models for IPv6,
please review and comment.
I have attached the text document with this mail as
the draft has not been published yet.

Thanks,
Syam

---

From: "Syam Madanapalli" <[email-masked]>
Date: Thu, 7 Sep 2006 20:31:54 +0530

Hi Pars,

On 9/7/06, Pars Mutaf <[email-masked]> wrote:
> Hi,
>
> Thanks to the contributors for this draft.
> I have a quick question. Have you decided
> that in 16ng:
>
> Subnet = paging area?

No.

And do you see any reason to tie these two things together?
If point-to-point subnet model is considered, there will be
essentially only one node in the paging area if subnet = paging area,
which I think is not effective way of doing the paging.

Thanks,
Syam

>
>
> Thanks,
> pars
>
>
> On Wed, 2006-09-06 at 19:19 +0530, Syam Madanapalli wrote:
> > Hi,
> >
> > _______________________________________________
> > 16ng mailing list
> > [email-masked]
> > http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>
>
>From [email-masked] Fri Sep  8 01:17:08 2006
Content-class: urn:content-classes:message
Subject: RE: [16ng] Subnet Model Analysis for 16ng
Date: Thu, 7 Sep 2006 11:01:52 -0400
From: <[email-masked]>
To: <[email-masked]>, <[email-masked]>

Your comments appreciated...

Although this thread is on the subnet model analysis, I guess I was
commenting a bit broadly.

Some comments..

"Also, BS, AR or both can perform that kind of functions for MS."
>> Of course, but I'd prefer BS than AR, since BS only needs to defend
MS under it which I believe is more realistic and of limited scope,
given the way 802.16 works, while AR indeed needs to know everyone. In a
similar spirit as "802.16 specifics is unavoidable at BS, so try not to
rope in AR as well".

"In my understanding, the goal of this draft is to provides analysis and
applicability of each subnet model. "
>> Agreed. However, any analysis is bound to imply some directions to
solutions. It'd be very useful to indicate the desirable properties of
potential solutions, whatever they may be.

"There are strong and weak points with this approach above"
>> I'd like to discuss that, online or offline if inappropriate for this
thread.

" this may be a kind of BS implementation issues"
>>  It may still be useful to put forth desirable properties, or
best/recommended practices in some other docs.

" omniscient AR and dummy BS vs. omniscient(?) BS and general AR"
>> I think omniscient BS needs to be only omniscient about its own MS's,
which is a relatively weak requirement, given how 802.16 works.
Nonetheless, a full description of such spectrum of approaches is
probably not needed in this doc, but may be something to keep in mind
during the design stage.

Byoung-Jo "J" Kim
[email-masked]
AT&T Labs - Research

http://macsbug.googlepages.com/

-----Original Message-----
From: Myung-Ki Shin [mailto:[email-masked]] 
Sent: Wednesday, September 06, 2006 9:02 PM
To: Kim,Byoung-Jo J (J)
Cc: [email-masked]
Subject: Re: [16ng] Subnet Model Analysis for 16ng

Hi J,

Thanks for your comments.
Inline ...

[email-masked] wrote:

> A few questions 
> 
> On ...
> 3.3.3.  Duplicate Address Detection
> 
> Does adding something like "such as BS performaing relay DAD-like
> functions for MS under itself" make sense? Of course, it needs to be
> worked out somewhere like the shared prefix model, but I recall that
> some early systems do something similar and it has smaller scope, just
> for a BS instead of an AR.

I think there are several ways to implement the DAD optimization
(e.g., relay DAD, proxy DAD, or some vendor-specifc functions).  Also, 
BS, AR or both can perform that kind of fuctions for MS.

In my understanding, the goal of this draft is to provides analysis and
applicability of each subnet model.  So, the isssue above can be 
discussed in solution documents for IPv6 CS and Eth-CS, respectively.

> On..
> 3.3.4.2. On-link Multicast Support & 3.3.4.5.  Effect on Dormant Mode
> I wonder if it makes sense to consider that BS can potentially block
> broadcast/multicast with known purposes to MS that do not need it and
> deliver only to intended MS MAC unicast over the air. 
> An 802.16 BS is already involved in many activities that require
> awareness of higher layer states beyond MAC (regrettably to some), so
> knowing necessary information may not be a big additional burden.
Also,
> a BS needs and can act with only local information.
> Also IGMP/MLD snooping can be used for additional cases, as some
> ethernet switches already do. And finally, broadcast/multicast with
> unknown functions will have to be left to a policy and maybe subject
to
> rate limits like many 802.11 implementations, where practical
> experiences to come will help guide the usage.

I know and I agree that this issue is very important for dormant mobile 
node. There are strong and weak points with this approach above.
Also, sometimes it might be not specific to IPv6 solutions and
morevover this may be a kind of BS implementation issues.

> I guess the common thing is that BS's are already very specialized
nodes
> for 802.16, so I'd be inclined to limit 802.16 specifics to BS and not
> bother AR, even if there is some penalty in other aspects. (though I
> have not seen something that'd concern me too much yet.) If all or
most
> of 802.16 specifics are handled at BS using only local knowledge,
there
> will be even less interop issues.

I wonder if we can define or discuss about BS and/or AR behaviors here,
that is, omniscient AR and dummy BS vs. omniscient(?) BS and general AR,
even if interop issues are important, of course.

Thanks,
Myung-Ki,
ETRI

> I apologize if I'm out of context, for I am not there at the meeting
> following the discussions.
> 
> Bests.
> 
> "J" Kim
> [email-masked]
> AT&T Labs - Research
> 
> http://macsbug.googlepages.com/
>

---

From: Pars Mutaf <[email-masked]>
Date: Thu, 07 Sep 2006 17:18:53 +0200

> And do you see any reason to tie these two things together?

Hi Syam,
No particular reason. 

(Subnet=PA is the simplest approach. But I agree that this 
may be too restrictive.)

> which I think is not effective way of doing the paging.

:-)

Thanks again for the draft

pars

---

From: Behcet Sarikaya <[email-masked]>
Date: Thu, 7 Sep 2006 08:52:38 -0700 (PDT)

----- Original Message ----
From: Pars Mutaf <[email-masked]>
To: Syam Madanapalli <[email-masked]>
Cc: [email-masked]
Sent: Thursday, September 7, 2006 10:18:53 AM
Subject: Re: [16ng] Subnet Model Analysis for 16ng

Hi Syam,
No particular reason. 

:-)

==> I think that PA should be the coverage area under an AR (or ASN-GW) which might
==>include many BSs (this is from IP Paging point of definition). 
==>In the shared prefix model, this translates to subnet=PA, but in the per-MS prefix model
==>it does not, PA=all BS's under AR is probably better definition.
Thanks again for the draft

pars

> > > the draft has not been published yet.
==> I checked in WiMAX documents, they use paging group which corresponds to paging area
==>In 802.16e it says that a BS may be a member of one or more paging groups 
==>My 0.5 cents.
 
--behcet

---

From: Thomas Narten <[email-masked]>
Date: Thu, 07 Sep 2006 13:31:53 -0400

One question I have wrt this document. It is asserted (without
justification) that "DAD is too expensive" and special extensions will
be needed. Where is this justified and where is the exact problem with
DAD explained?

I assume the issue is that multicast is expensive or doesn't work. But
then, ND in general is a problem also.  But I don't see ND being
listed as problematic, even though it is based on multicast.

What am I missing?

Thomas
>From [email-masked] Fri Sep  8 12:00:12 2006
Date: Fri, 8 Sep 2006 07:15:01 +0530
From: "Syam Madanapalli" <[email-masked]>
To: "Thomas Narten" <[email-masked]>
Subject: Re: [16ng] Subnet Model Analysis for 16ng
cc: [email-masked]

Hello Thomas,

On 9/7/06, Thomas Narten <[email-masked]> wrote:
> One question I have wrt this document. It is asserted (without
> justification) that "DAD is too expensive" and special extensions will
> be needed. Where is this justified and where is the exact problem with
> DAD explained?

The next version of the document either contain the text or a reference
for this.

>
> I assume the issue is that multicast is expensive or doesn't work. But
> then, ND in general is a problem also.  But I don't see ND being
> listed as problematic, even though it is based on multicast.

802.16 MAC transport connection exists between MS and AR. (This
is based on current WiMAX Network model). And there will be no such
transport connection to any other MS. So it is possible to restrict ND
between MS and AR, which does not require the multicast support.
When prefix is being shared with multiple MSs, the DAD somehow
should reach all the MS for which multicast support is required.

Thanks,
Syam

>
> What am I missing?
>
> Thomas
>
>From [email-masked] Fri Sep  8 14:53:58 2006
Date: Fri, 8 Sep 2006 13:38:45 +0900
From: "JinHyeock Choi" <[email-masked]>
To: "Thomas Narten" <[email-masked]>
Subject: Re: [16ng] Subnet Model Analysis for 16ng
cc: [email-masked]

Dear Thomas

> I assume the issue is that multicast is expensive or doesn't work.

yes.

> But
> then, ND in general is a problem also.  But I don't see ND being
> listed as problematic, even though it is based on multicast.

In shared prefix model, we managed to run ND without multicast by
imposing a few restrictions to simplify network. There is only one
access router and an MN's (known) on-link neighbor is only its AR. All
ND procedures (such as address resolution) can be performed between an
MS and its AR without concerning other nodes except DAD.

Thanks for your kind consideration.

Best Regards

JinHyeock
>From [email-masked] Fri Sep  8 17:01:56 2006
Date: Fri, 08 Sep 2006 01:45:57 -0500 (CDT)
From: <[email-masked]>
Subject: Re: [16ng] Subnet Model Analysis for 16ng
To: Syam Madanapalli <[email-masked]>, [email-masked]

Hi Syam,

Thanks for writing this draft. I had a few comments and non-rhetorical questions, and do apologize if any of these things have already been answered/explained...

In section 3.2, you correctly point out that IEEE 802.16 has defined no PPP CS. However (parentheses mine) in the sentence immediately preceding that one:

"One way to accomplish this (p2p connection between BS and AR at PHY/MAC layers) is to run PPP on the link [7]."

Until/unless IEEE 802.16 does define a PPP CS, I believe the above sentence should be removed (as well as those sentences in 3.2.1. that refer to PPP.

In section 3.2.2., how is it that the "AR's link local address is taken into consideration when forming a link local address on the mobile node"? DAD traditionally relies upon a NS sent to the solicited node multicast address for the tentative address... How is this done given 802.16 doesn't have an uplink multicast facility?

In section 3.2.4.9. I think a reference to RFC 3756 would be in order.

It also seems that if IEEE 802.16 nodes form their modified EUI-64 IIDs based upon their 48-bit IEEE MAC addresses, the only way there could be an address collision would be if both the MN and the AR somehow had the same MAC address...

Best Regards,

Tim
Rom 8:28

>From: Syam Madanapalli <[email-masked]>
>Date: 2006/09/06 Wed AM 08:49:02 CDT
>To: [email-masked]
>Subject: [16ng] Subnet Model Analysis for 16ng